diff --git a/src/odbc/unittests/connect.c b/src/odbc/unittests/connect.c
index 119ac37..99090fa 100644
--- a/src/odbc/unittests/connect.c
+++ b/src/odbc/unittests/connect.c
@@ -1,7 +1,7 @@
 #include "common.h"
 
 
-static char software_version[] = "$Id: connect.c,v 1.12 2008/12/03 12:55:52 freddy77 Exp $";
+static char software_version[] = "$Id: connect.c,v 1.13 2010/07/05 09:20:32 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void init_connect(void);
@@ -9,8 +9,8 @@ static void init_connect(void);
 static void
 init_connect(void)
 {
-	CHKAllocEnv(&Environment, "S");
-	CHKAllocConnect(&Connection, "S");
+	CHKAllocEnv(&odbc_env, "S");
+	CHKAllocConnect(&odbc_conn, "S");
 }
 
 int
@@ -22,7 +22,7 @@ main(int argc, char *argv[])
 	int is_freetds = 1;
 	SQLRETURN rc;
 
-	if (read_login_info())
+	if (odbc_read_login_info())
 		exit(1);
 
 	/*
@@ -30,11 +30,11 @@ main(int argc, char *argv[])
 	 * is better to do it before connect cause uniODBC cache INIs
 	 * the name must be odbcinst.ini cause unixODBC accept only this name
 	 */
-	if (DRIVER[0]) {
+	if (odbc_driver[0]) {
 		FILE *f = fopen("odbcinst.ini", "w");
 
 		if (f) {
-			fprintf(f, "[FreeTDS]\nDriver = %s\n", DRIVER);
+			fprintf(f, "[FreeTDS]\nDriver = %s\n", odbc_driver);
 			fclose(f);
 			/* force iODBC */
 			setenv("ODBCINSTINI", "./odbcinst.ini", 1);
@@ -45,10 +45,10 @@ main(int argc, char *argv[])
 	}
 
 	printf("SQLConnect connect..\n");
-	Connect();
-	if (!driver_is_freetds())
+	odbc_connect();
+	if (!odbc_driver_is_freetds())
 		is_freetds = 0;
-	Disconnect();
+	odbc_disconnect();
 
 	if (!is_freetds) {
 		printf("Driver is not FreeTDS, exiting\n");
@@ -58,9 +58,9 @@ main(int argc, char *argv[])
 	/* try connect string with using DSN */
 	printf("connect string DSN connect..\n");
 	init_connect();
-	sprintf(tmp, "DSN=%s;UID=%s;PWD=%s;DATABASE=%s;", SERVER, USER, PASSWORD, DATABASE);
+	sprintf(tmp, "DSN=%s;UID=%s;PWD=%s;DATABASE=%s;", odbc_server, odbc_user, odbc_password, odbc_database);
 	CHKDriverConnect(NULL, (SQLCHAR *) tmp, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT, "SI");
-	Disconnect();
+	odbc_disconnect();
 
 	/* try connect string using old SERVERNAME specification */
 	printf("connect string SERVERNAME connect..\n");
@@ -68,23 +68,23 @@ main(int argc, char *argv[])
 
 	/* this is expected to work with unixODBC */
 	init_connect();
-	sprintf(tmp, "DRIVER=FreeTDS;SERVERNAME=%s;UID=%s;PWD=%s;DATABASE=%s;", SERVER, USER, PASSWORD, DATABASE);
+	sprintf(tmp, "DRIVER=FreeTDS;SERVERNAME=%s;UID=%s;PWD=%s;DATABASE=%s;", odbc_server, odbc_user, odbc_password, odbc_database);
 	rc = CHKDriverConnect(NULL, (SQLCHAR *) tmp, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT, "SIE");
 	if (rc == SQL_ERROR) {
 		printf("Unable to open data source (ret=%d)\n", rc);
 		++failures;
 	}
-	Disconnect();
+	odbc_disconnect();
 
 	/* this is expected to work with iODBC */
 	init_connect();
-	sprintf(tmp, "DRIVER=%s;SERVERNAME=%s;UID=%s;PWD=%s;DATABASE=%s;", DRIVER, SERVER, USER, PASSWORD, DATABASE);
+	sprintf(tmp, "DRIVER=%s;SERVERNAME=%s;UID=%s;PWD=%s;DATABASE=%s;", odbc_driver, odbc_server, odbc_user, odbc_password, odbc_database);
 	rc = CHKDriverConnect(NULL, (SQLCHAR *) tmp, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT, "SIE");
 	if (rc == SQL_ERROR) {
 		printf("Unable to open data source (ret=%d)\n", rc);
 		++failures;
 	}
-	Disconnect();
+	odbc_disconnect();
 
 	/* at least one should success.. */
 	if (failures > 1) {
diff --git a/src/odbc/unittests/connect2.c b/src/odbc/unittests/connect2.c
index 9d60b28..5fc0e3e 100644
--- a/src/odbc/unittests/connect2.c
+++ b/src/odbc/unittests/connect2.c
@@ -5,7 +5,7 @@
  * either SQLConnect and SQLDriverConnect
  */
 
-static char software_version[] = "$Id: connect2.c,v 1.7 2008/11/06 15:56:39 freddy77 Exp $";
+static char software_version[] = "$Id: connect2.c,v 1.8 2010/07/05 09:20:32 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static int failed = 0;
@@ -15,14 +15,14 @@ static void init_connect(void);
 static void
 init_connect(void)
 {
-	CHKAllocEnv(&Environment, "S");
-	CHKAllocConnect(&Connection, "S");
+	CHKAllocEnv(&odbc_env, "S");
+	CHKAllocConnect(&odbc_conn, "S");
 }
 
 static void
 normal_connect(void)
 {
-	CHKR(SQLConnect, (Connection, (SQLCHAR *) SERVER, SQL_NTS, (SQLCHAR *) USER, SQL_NTS, (SQLCHAR *) PASSWORD, SQL_NTS), "SI");
+	CHKR(SQLConnect, (odbc_conn, (SQLCHAR *) odbc_server, SQL_NTS, (SQLCHAR *) odbc_user, SQL_NTS, (SQLCHAR *) odbc_password, SQL_NTS), "SI");
 }
 
 static void
@@ -60,7 +60,7 @@ main(int argc, char *argv[])
 {
 	char tmp[1024];
 
-	if (read_login_info())
+	if (odbc_read_login_info())
 		exit(1);
 
 	/* try setting db name before connect */
@@ -80,7 +80,7 @@ main(int argc, char *argv[])
 	CHKSetConnectAttr(SQL_ATTR_CURRENT_CATALOG, (SQLPOINTER) tmp, strlen(tmp), "E");
 	check_dbname("tempdb");
 
-	Disconnect();
+	odbc_disconnect();
 
 	/* try setting db name before connect */
 	printf("SQLConnect before 2..\n");
@@ -88,25 +88,25 @@ main(int argc, char *argv[])
 	set_dbname("tempdb");
 	normal_connect();
 	check_dbname("tempdb");
-	Disconnect();
+	odbc_disconnect();
 
 	/* try connect string with using DSN */
 	printf("SQLDriverConnect before 1..\n");
-	sprintf(tmp, "DSN=%s;UID=%s;PWD=%s;DATABASE=%s;", SERVER, USER, PASSWORD, DATABASE);
+	sprintf(tmp, "DSN=%s;UID=%s;PWD=%s;DATABASE=%s;", odbc_server, odbc_user, odbc_password, odbc_database);
 	init_connect();
 	set_dbname("master");
 	driver_connect(tmp);
-	check_dbname(DATABASE);
-	Disconnect();
+	check_dbname(odbc_database);
+	odbc_disconnect();
 
 	/* try connect string with using DSN */
 	printf("SQLDriverConnect before 2..\n");
-	sprintf(tmp, "DSN=%s;UID=%s;PWD=%s;", SERVER, USER, PASSWORD);
+	sprintf(tmp, "DSN=%s;UID=%s;PWD=%s;", odbc_server, odbc_user, odbc_password);
 	init_connect();
 	set_dbname("tempdb");
 	driver_connect(tmp);
 	check_dbname("tempdb");
-	Disconnect();
+	odbc_disconnect();
 
 	if (failed) {
 		printf("Some tests failed\n");
diff --git a/src/odbc/unittests/const_params.c b/src/odbc/unittests/const_params.c
index dd956c2..a1592ef 100644
--- a/src/odbc/unittests/const_params.c
+++ b/src/odbc/unittests/const_params.c
@@ -2,7 +2,7 @@
 
 /* Test for {?=call store(?,123,'foo')} syntax and run */
 
-static char software_version[] = "$Id: const_params.c,v 1.17 2009/03/16 12:19:03 freddy77 Exp $";
+static char software_version[] = "$Id: const_params.c,v 1.18 2010/07/05 09:20:32 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -12,12 +12,12 @@ main(int argc, char *argv[])
 	SQLINTEGER out1;
 	SQLLEN ind, ind2, ind3;
 
-	Connect();
+	odbc_connect();
 
-	if (CommandWithResult(Statement, "drop proc const_param") != SQL_SUCCESS)
+	if (odbc_command_with_result(odbc_stmt, "drop proc const_param") != SQL_SUCCESS)
 		printf("Unable to execute statement\n");
 
-	Command("create proc const_param @in1 int, @in2 int, @in3 datetime, @in4 varchar(10), @out int output as\n"
+	odbc_command("create proc const_param @in1 int, @in2 int, @in3 datetime, @in4 varchar(10), @out int output as\n"
 		"begin\n"
 		" set nocount on\n"
 		" select @out = 7654321\n"
@@ -43,10 +43,10 @@ main(int argc, char *argv[])
 	}
 
 	/* just to reset some possible buffers */
-	Command("DECLARE @i INT");
+	odbc_command("DECLARE @i INT");
 
 	/* MS ODBC don't support empty parameters altough documented so avoid this test */
-	if (driver_is_freetds()) {
+	if (odbc_driver_is_freetds()) {
 
 		CHKBindParameter(1, SQL_PARAM_OUTPUT, SQL_C_SLONG, SQL_INTEGER, 0, 0, &output, 0, &ind,  "S");
 		CHKBindParameter(2, SQL_PARAM_INPUT,  SQL_C_SLONG, SQL_INTEGER, 0, 0, &input,  0, &ind2, "S");
@@ -71,9 +71,9 @@ main(int argc, char *argv[])
 		}
 	}
 
-	Command("IF OBJECT_ID('const_param') IS NOT NULL DROP PROC const_param");
+	odbc_command("IF OBJECT_ID('const_param') IS NOT NULL DROP PROC const_param");
 
-	Command("create proc const_param @in1 float, @in2 varbinary(100) as\n"
+	odbc_command("create proc const_param @in1 float, @in2 varbinary(100) as\n"
 		"begin\n"
 		" if @in1 <> 12.5 or @in2 <> 0x0102030405060708\n"
 		"  return 12345\n"
@@ -92,9 +92,9 @@ main(int argc, char *argv[])
 		return 1;
 	}
 
-	Command("drop proc const_param");
+	odbc_command("drop proc const_param");
 
-	Command("create proc const_param @in varchar(20) as\n"
+	odbc_command("create proc const_param @in varchar(20) as\n"
 		"begin\n"
 		" if @in = 'value' select 8421\n"
 		" select 1248\n"
@@ -102,20 +102,20 @@ main(int argc, char *argv[])
 
 	/* catch problem reported by Peter Deacon */
 	output = 0xdeadbeef;
-	Command("{CALL const_param('value')}");
+	odbc_command("{CALL const_param('value')}");
 	CHKBindCol(1, SQL_C_SLONG, &output, 0, &ind, "S");
-	SQLFetch(Statement);
+	SQLFetch(odbc_stmt);
 
 	if (output != 8421) {
 		fprintf(stderr, "Invalid result %d (0x%x)\n", (int) output, (int) output);
 		return 1;
 	}
 
-	ResetStatement();
+	odbc_reset_statement();
 
-	Command("drop proc const_param");
+	odbc_command("drop proc const_param");
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/convert_error.c b/src/odbc/unittests/convert_error.c
index 0310c84..79ebbd5 100644
--- a/src/odbc/unittests/convert_error.c
+++ b/src/odbc/unittests/convert_error.c
@@ -4,7 +4,7 @@
  */
 #include "common.h"
 
-static char software_version[] = "$Id: convert_error.c,v 1.10 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: convert_error.c,v 1.11 2010/07/05 09:20:32 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static int test_num = 0;
@@ -17,7 +17,7 @@ Test(const char *bind1, SQLSMALLINT type1, const char *bind2, SQLSMALLINT type2)
 	SQLLEN ind = 4;
 	int id = 1;
 
-	SQLFreeStmt(Statement, SQL_RESET_PARAMS);
+	SQLFreeStmt(odbc_stmt, SQL_RESET_PARAMS);
 
 	++test_num;
 	sprintf(sql, "insert into #test_output values (%s, %s)", bind1, bind2);
@@ -34,10 +34,10 @@ Test(const char *bind1, SQLSMALLINT type1, const char *bind2, SQLSMALLINT type2)
 int
 main(int argc, char **argv)
 {
-	use_odbc_version3 = 1;
-	Connect();
+	odbc_use_version3 = 1;
+	odbc_connect();
 
-	Command("create table #test_output (id int, msg text)");
+	odbc_command("create table #test_output (id int, msg text)");
 
 	Test("?", SQL_INTEGER, "?", SQL_LONGVARCHAR);
 	Test("123", SQL_INTEGER, "?", SQL_LONGVARCHAR);
@@ -50,12 +50,12 @@ main(int argc, char **argv)
 	 * be emulated loosing column informations from server and Sybase do
 	 * not convert implicitly VARCHAR to INT
 	 */
-	if (db_is_microsoft())
+	if (odbc_db_is_microsoft())
 		Test("?", SQL_VARCHAR, "?", SQL_LONGVARCHAR);
 	else
 		++test_num;
 
-	Disconnect();
+	odbc_disconnect();
 
 	return 0;
 }
diff --git a/src/odbc/unittests/copydesc.c b/src/odbc/unittests/copydesc.c
index 5771490..25d8451 100644
--- a/src/odbc/unittests/copydesc.c
+++ b/src/odbc/unittests/copydesc.c
@@ -2,7 +2,7 @@
 
 /* Test SQLCopyDesc and SQLAllocHandle(SQL_HANDLE_DESC) */
 
-static char software_version[] = "$Id: copydesc.c,v 1.6 2010/01/22 10:45:19 freddy77 Exp $";
+static char software_version[] = "$Id: copydesc.c,v 1.7 2010/07/05 09:20:32 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -13,26 +13,26 @@ main(int argc, char *argv[])
 	SQLLEN ind1, ind2;
 	char name[64];
 
-	Connect();
+	odbc_connect();
 
 	CHKGetStmtAttr(SQL_ATTR_APP_ROW_DESC, &ard, 0, NULL, "S");
 
 	CHKBindCol(1, SQL_C_SLONG, &id, sizeof(SQLINTEGER), &ind1, "S");
 	CHKBindCol(2, SQL_C_CHAR, name, sizeof(name), &ind2, "S");
 
-	CHKAllocHandle(SQL_HANDLE_DESC, Connection, &ard2, "S");
+	CHKAllocHandle(SQL_HANDLE_DESC, odbc_conn, &ard2, "S");
 
 	/*
 	 * this is an additional test to test additional allocation 
 	 * As of 0.64 for a bug in SQLAllocDesc we only allow to allocate one
 	 */
-	CHKAllocHandle(SQL_HANDLE_DESC, Connection, &ard3, "S");
+	CHKAllocHandle(SQL_HANDLE_DESC, odbc_conn, &ard3, "S");
 
 	CHKR(SQLCopyDesc, (ard, ard2), "S");
 
 	CHKFreeHandle(SQL_HANDLE_DESC, ard3, "S");
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/cursor1.c b/src/odbc/unittests/cursor1.c
index 63eddc7..79d0ffe 100644
--- a/src/odbc/unittests/cursor1.c
+++ b/src/odbc/unittests/cursor1.c
@@ -2,10 +2,10 @@
 
 /* Test cursors */
 
-static char software_version[] = "$Id: cursor1.c,v 1.19 2008/12/03 12:55:52 freddy77 Exp $";
+static char software_version[] = "$Id: cursor1.c,v 1.20 2010/07/05 09:20:32 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
-#define SWAP_STMT(b) do { SQLHSTMT xyz = Statement; Statement = b; b = xyz; } while(0)
+#define SWAP_STMT(b) do { SQLHSTMT xyz = odbc_stmt; odbc_stmt = b; b = xyz; } while(0)
 
 static int mssql2005 = 0;
 
@@ -24,7 +24,7 @@ CheckNoRow(const char *query)
 		CHKNumResultCols(&cols, "S");
 		if (cols != 0) {
 			fprintf(stderr, "Data not expected here, query:\n\t%s\n", query);
-			Disconnect();
+			odbc_disconnect();
 			exit(1);
 		}
 	} while (CHKMoreResults("SNo") == SQL_SUCCESS);
@@ -46,18 +46,18 @@ Test0(int use_sql, const char *create_sql, const char *insert_sql, const char *s
 	SQLHSTMT stmt2;
 
 	/* create test table */
-	Command("IF OBJECT_ID('tempdb..#test') IS NOT NULL DROP TABLE #test");
-	Command(create_sql);
+	odbc_command("IF OBJECT_ID('tempdb..#test') IS NOT NULL DROP TABLE #test");
+	odbc_command(create_sql);
 	for (i = 1; i <= 6; ++i) {
 		char sql_buf[80], data[10];
 		memset(data, 'a' + (i - 1), sizeof(data));
 		data[i] = 0;
 		sprintf(sql_buf, insert_sql, data, i);
-		Command(sql_buf);
+		odbc_command(sql_buf);
 	}
 
 	/* set cursor options */
-	ResetStatement();
+	odbc_reset_statement();
 	CHKSetStmtAttr(SQL_ATTR_CONCURRENCY, (SQLPOINTER) SQL_CONCUR_ROWVER, 0, "S");
 	CHKSetStmtAttr(SQL_ATTR_CURSOR_TYPE, (SQLPOINTER) SQL_CURSOR_DYNAMIC, 0, "S");
 	CHKSetStmtAttr(SQL_ATTR_ROW_ARRAY_SIZE, (SQLPOINTER) ROWS, 0, "S");
@@ -110,7 +110,7 @@ Test0(int use_sql, const char *create_sql, const char *insert_sql, const char *s
 				n[i - 1] = 321;
 				CHKSetPos(i, use_sql ? SQL_POSITION : SQL_UPDATE, SQL_LOCK_NO_CHANGE, "E");
 
-				CHKGetDiagRec(SQL_HANDLE_STMT, Statement, 1, sqlstate, NULL, msg, sizeof(msg), NULL, "S");
+				CHKGetDiagRec(SQL_HANDLE_STMT, odbc_stmt, 1, sqlstate, NULL, msg, sizeof(msg), NULL, "S");
 				if (strstr((char *) msg, "Invalid column name 'c'") == NULL) {
 					fprintf(stderr, "Expected message not found at line %d\n", __LINE__);
 					exit(1);
@@ -122,7 +122,7 @@ Test0(int use_sql, const char *create_sql, const char *insert_sql, const char *s
 				CHKBindParameter(1, SQL_PARAM_INPUT, SQL_C_CHAR, SQL_CHAR, C_LEN, 0, c[i - 1], 0, NULL, "S");
 				CHKExecute("S");
 				/* FIXME this is not necessary for mssql driver */
-				SQLMoreResults(Statement);
+				SQLMoreResults(odbc_stmt);
 				SWAP_STMT(stmt2);
 			}
 		}
@@ -132,7 +132,7 @@ Test0(int use_sql, const char *create_sql, const char *insert_sql, const char *s
 	CHKFreeStmt(SQL_DROP, "S");
 	SWAP_STMT(stmt2);
 
-	ResetStatement();
+	odbc_reset_statement();
 
 	/* test values */
 	CheckNoRow("IF (SELECT COUNT(*) FROM #test) <> 4 SELECT 1");
@@ -147,13 +147,13 @@ Test0(int use_sql, const char *create_sql, const char *insert_sql, const char *s
 static void
 Test(int use_sql)
 {
-	CommandWithResult(Statement, "DROP TABLE #a");
-	Command("CREATE TABLE #a(x int)");
-	Command("INSERT INTO #a VALUES(123)");
+	odbc_command_with_result(odbc_stmt, "DROP TABLE #a");
+	odbc_command("CREATE TABLE #a(x int)");
+	odbc_command("INSERT INTO #a VALUES(123)");
 	Test0(use_sql, "CREATE TABLE #test(i int, c varchar(6))", "INSERT INTO #test(c, i) VALUES('%s', %d)", "SELECT x AS i, c FROM #test, #a");
 
 	Test0(use_sql, "CREATE TABLE #test(i int, c varchar(6))", "INSERT INTO #test(c, i) VALUES('%s', %d)", "SELECT i, c FROM #test");
-	if (db_is_microsoft()) {
+	if (odbc_db_is_microsoft()) {
 		Test0(use_sql, "CREATE TABLE #test(i int identity(1,1), c varchar(6))", "INSERT INTO #test(c) VALUES('%s')", "SELECT i, c FROM #test");
 		Test0(use_sql, "CREATE TABLE #test(i int primary key, c varchar(6))", "INSERT INTO #test(c, i) VALUES('%s', %d)", "SELECT i, c FROM #test");
 	}
@@ -163,16 +163,16 @@ Test(int use_sql)
 int
 main(int argc, char *argv[])
 {
-	Connect();
-	CheckCursor();
+	odbc_connect();
+	odbc_check_cursor();
 
-	if (db_is_microsoft() && db_version_int() >= 0x09000000u)
+	if (odbc_db_is_microsoft() && odbc_db_version_int() >= 0x09000000u)
 		mssql2005 = 1;
 
 	Test(1);
 
 	Test(0);
 
-	Disconnect();
+	odbc_disconnect();
 	return 0;
 }
diff --git a/src/odbc/unittests/cursor2.c b/src/odbc/unittests/cursor2.c
index 039b21f..141f352 100644
--- a/src/odbc/unittests/cursor2.c
+++ b/src/odbc/unittests/cursor2.c
@@ -5,7 +5,7 @@
  * 2) Test cursor returns results on language RPCs
  */
 
-static char software_version[] = "$Id: cursor2.c,v 1.9 2010/06/26 08:03:57 freddy77 Exp $";
+static char software_version[] = "$Id: cursor2.c,v 1.10 2010/07/05 09:20:32 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -14,36 +14,36 @@ main(int argc, char *argv[])
 	unsigned char sqlstate[6];
 	unsigned char msg[256];
 
-	Connect();
+	odbc_connect();
 
-	Command("CREATE TABLE #cursor2_test (i INT)");
+	odbc_command("CREATE TABLE #cursor2_test (i INT)");
 
-	CheckCursor();
+	odbc_check_cursor();
 
-	ResetStatement();
+	odbc_reset_statement();
 	CHKSetStmtAttr(SQL_ATTR_CURSOR_TYPE, (SQLPOINTER) SQL_CURSOR_DYNAMIC, SQL_IS_INTEGER, "S");
 
 	/* this should not fail or return warnings */
-	Command("DROP TABLE #cursor2_test");
+	odbc_command("DROP TABLE #cursor2_test");
 
-	CHKGetDiagRec(SQL_HANDLE_STMT, Statement, 1, sqlstate, NULL, msg, sizeof(msg), NULL, "No");
+	CHKGetDiagRec(SQL_HANDLE_STMT, odbc_stmt, 1, sqlstate, NULL, msg, sizeof(msg), NULL, "No");
 
 
-	ResetStatement();
-	CommandWithResult(Statement, "drop proc sp_test");
-	Command("create proc sp_test @name varchar(30) as select 0 as pippo select 1 as 'test', @name as 'nome'");
+	odbc_reset_statement();
+	odbc_command_with_result(odbc_stmt, "drop proc sp_test");
+	odbc_command("create proc sp_test @name varchar(30) as select 0 as pippo select 1 as 'test', @name as 'nome'");
 
-	ResetStatement();
+	odbc_reset_statement();
 	CHKSetStmtAttr(SQL_ATTR_CURSOR_TYPE, (SQLPOINTER) SQL_CURSOR_STATIC, SQL_IS_INTEGER, "S");
 
-	Command(" exec sp_test 'ciao'");
+	odbc_command(" exec sp_test 'ciao'");
 
 	CHKFetch("S");
 
-	ResetStatement();
-	Command("drop proc sp_test");
+	odbc_reset_statement();
+	odbc_command("drop proc sp_test");
 
-	Disconnect();
+	odbc_disconnect();
 	
 	return 0;
 }
diff --git a/src/odbc/unittests/cursor3.c b/src/odbc/unittests/cursor3.c
index f55ae7d..afc0251 100644
--- a/src/odbc/unittests/cursor3.c
+++ b/src/odbc/unittests/cursor3.c
@@ -1,7 +1,7 @@
 /* Tests 2 active statements */
 #include "common.h"
 
-static char software_version[] = "$Id: cursor3.c,v 1.9 2008/11/04 15:24:49 freddy77 Exp $";
+static char software_version[] = "$Id: cursor3.c,v 1.10 2010/07/05 09:20:32 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -9,63 +9,63 @@ main(int argc, char **argv)
 {
 	SQLHSTMT stmt1 = SQL_NULL_HSTMT;
 	SQLHSTMT stmt2 = SQL_NULL_HSTMT;
-	SQLHSTMT old_Statement;
+	SQLHSTMT old_odbc_stmt;
 	char buff[64];
 	SQLLEN ind;
 
-	use_odbc_version3 = 1;
-	Connect();
+	odbc_use_version3 = 1;
+	odbc_connect();
 
-	CheckCursor();
+	odbc_check_cursor();
 
-	Command("CREATE TABLE #t1 ( k INT, c VARCHAR(20))");
-	Command("INSERT INTO #t1 VALUES (1, 'aaa')");
-	Command("INSERT INTO #t1 VALUES (2, 'bbbbb')");
-	Command("INSERT INTO #t1 VALUES (3, 'ccccccccc')");
-	Command("INSERT INTO #t1 VALUES (4, 'dd')");
+	odbc_command("CREATE TABLE #t1 ( k INT, c VARCHAR(20))");
+	odbc_command("INSERT INTO #t1 VALUES (1, 'aaa')");
+	odbc_command("INSERT INTO #t1 VALUES (2, 'bbbbb')");
+	odbc_command("INSERT INTO #t1 VALUES (3, 'ccccccccc')");
+	odbc_command("INSERT INTO #t1 VALUES (4, 'dd')");
 
-	old_Statement = Statement;
+	old_odbc_stmt = odbc_stmt;
 
-	CHKAllocHandle(SQL_HANDLE_STMT, Connection, &stmt1, "S");
-	CHKAllocHandle(SQL_HANDLE_STMT, Connection, &stmt2, "S");
+	CHKAllocHandle(SQL_HANDLE_STMT, odbc_conn, &stmt1, "S");
+	CHKAllocHandle(SQL_HANDLE_STMT, odbc_conn, &stmt2, "S");
 
 
-	Statement = stmt1;
+	odbc_stmt = stmt1;
 /*	CHKSetStmtAttr(SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_NONSCROLLABLE, SQL_IS_UINTEGER, "S"); */
 	CHKSetStmtAttr(SQL_ATTR_CURSOR_SENSITIVITY, (SQLPOINTER) SQL_SENSITIVE, SQL_IS_UINTEGER, "S");
 /*	CHKSetStmtAttr(SQL_ATTR_CONCURRENCY, (SQLPOINTER) SQL_CONCUR_LOCK, SQL_IS_UINTEGER, "S"); */
 
 
-	Statement = stmt2;
+	odbc_stmt = stmt2;
 /*	CHKSetStmtAttr(SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_NONSCROLLABLE, SQL_IS_UINTEGER, "S"); */
 	CHKSetStmtAttr(SQL_ATTR_CURSOR_SENSITIVITY, (SQLPOINTER) SQL_SENSITIVE, SQL_IS_UINTEGER, "S");
 /*	CHKSetStmtAttr(SQL_ATTR_CONCURRENCY, (SQLPOINTER) SQL_CONCUR_LOCK, SQL_IS_UINTEGER, "S"); */
 
-	Statement = stmt1;
+	odbc_stmt = stmt1;
 	CHKSetCursorName((SQLCHAR *) "c1", SQL_NTS, "S");
 
-	Statement = stmt2;
+	odbc_stmt = stmt2;
 	CHKSetCursorName((SQLCHAR *) "c2", SQL_NTS, "S");
 
-	Statement = stmt1;
+	odbc_stmt = stmt1;
 	CHKPrepare((SQLCHAR *) "SELECT * FROM #t1 ORDER BY k", SQL_NTS, "S");
 
-	Statement = stmt2;
+	odbc_stmt = stmt2;
 	CHKPrepare((SQLCHAR *) "SELECT * FROM #t1 ORDER BY k DESC", SQL_NTS, "S");
 
-	Statement = stmt1;
+	odbc_stmt = stmt1;
 	CHKExecute("S");
 
-	Statement = stmt2;
+	odbc_stmt = stmt2;
 	CHKExecute("S");
 
-	Statement = stmt1;
+	odbc_stmt = stmt1;
 	CHKFetch("S");
 
 	CHKGetData(2, SQL_C_CHAR, (SQLPOINTER) buff, sizeof(buff), &ind, "S");
 	printf(">> Fetch from 1: [%s]\n", buff);
 
-	Statement = stmt2;
+	odbc_stmt = stmt2;
 	CHKFetch("S");
 
 	CHKGetData(2, SQL_C_CHAR, (SQLPOINTER) buff, sizeof(buff), &ind, "S");
@@ -76,31 +76,31 @@ main(int argc, char **argv)
 	 * fetch a data on stmt2 than fetch on stmt1 and try to get data on first one
 	 */
 	CHKFetch("S");	/* "ccccccccc" */
-	Statement = stmt1;
+	odbc_stmt = stmt1;
 	CHKFetch("S");  /* "bbbbb" */
-	Statement = stmt2;
+	odbc_stmt = stmt2;
 	CHKGetData(2, SQL_C_CHAR, (SQLPOINTER) buff, sizeof(buff), &ind, "S");
 	printf(">> Fetch from 2: [%s]\n", buff);
 	if (strcmp(buff, "ccccccccc") != 0)
 		ODBC_REPORT_ERROR("Invalid results from SQLGetData");
-	Statement = stmt1;
+	odbc_stmt = stmt1;
 	CHKGetData(2, SQL_C_CHAR, (SQLPOINTER) buff, sizeof(buff), &ind, "S");
 	printf(">> Fetch from 1: [%s]\n", buff);
 	if (strcmp(buff, "bbbbb") != 0)
 		ODBC_REPORT_ERROR("Invalid results from SQLGetData");
 
-	Statement = stmt1;
+	odbc_stmt = stmt1;
 	CHKCloseCursor("SI");
-	Statement = stmt2;
+	odbc_stmt = stmt2;
 	CHKCloseCursor("SI");
 
-	Statement = stmt1;
+	odbc_stmt = stmt1;
 	CHKFreeHandle(SQL_HANDLE_STMT, (SQLHANDLE) stmt1, "S");
-	Statement = stmt2;
+	odbc_stmt = stmt2;
 	CHKFreeHandle(SQL_HANDLE_STMT, (SQLHANDLE) stmt2, "S");
 
-	Statement = old_Statement;
-	Disconnect();
+	odbc_stmt = old_odbc_stmt;
+	odbc_disconnect();
 
 	return 0;
 }
diff --git a/src/odbc/unittests/cursor4.c b/src/odbc/unittests/cursor4.c
index 8a34220..839d9b5 100755
--- a/src/odbc/unittests/cursor4.c
+++ b/src/odbc/unittests/cursor4.c
@@ -5,17 +5,17 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: cursor4.c,v 1.8 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: cursor4.c,v 1.9 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
 exec_direct(const char *stmt)
 {
-	SQLHSTMT Statement = SQL_NULL_HSTMT;
+	SQLHSTMT odbc_stmt = SQL_NULL_HSTMT;
 
-	CHKAllocHandle(SQL_HANDLE_STMT, (SQLHANDLE) Connection, (SQLHANDLE *) & Statement, "S");
-	Command(stmt);
-	CHKFreeHandle(SQL_HANDLE_STMT, (SQLHANDLE) Statement, "S");
+	CHKAllocHandle(SQL_HANDLE_STMT, (SQLHANDLE) odbc_conn, (SQLHANDLE *) & odbc_stmt, "S");
+	odbc_command(stmt);
+	CHKFreeHandle(SQL_HANDLE_STMT, (SQLHANDLE) odbc_stmt, "S");
 }
 
 int
@@ -24,15 +24,15 @@ main(int argc, char **argv)
 	char buff[64];
 	SQLLEN ind;
 
-	use_odbc_version3 = 1;
-	Connect();
+	odbc_use_version3 = 1;
+	odbc_connect();
 
-	CheckCursor();
+	odbc_check_cursor();
 
 	exec_direct("CREATE TABLE #t1 ( k INT, c VARCHAR(20))");
 	exec_direct("INSERT INTO #t1 VALUES (1, 'aaa')");
 
-	ResetStatement();
+	odbc_reset_statement();
 
 	CHKSetStmtAttr(SQL_ATTR_CONCURRENCY, (SQLPOINTER) SQL_CONCUR_LOCK, SQL_IS_UINTEGER, "S");
 
@@ -60,10 +60,10 @@ main(int argc, char **argv)
 
 	printf(">> New value after update = [%s] (should be [xxx]) \n", buff);
 
-	CHKFreeHandle(SQL_HANDLE_STMT, (SQLHANDLE) Statement, "S");
-	Statement = SQL_NULL_HSTMT;
+	CHKFreeHandle(SQL_HANDLE_STMT, (SQLHANDLE) odbc_stmt, "S");
+	odbc_stmt = SQL_NULL_HSTMT;
 
-	Disconnect();
+	odbc_disconnect();
 
 	return 0;
 }
diff --git a/src/odbc/unittests/cursor5.c b/src/odbc/unittests/cursor5.c
index 2fc451e..4912264 100755
--- a/src/odbc/unittests/cursor5.c
+++ b/src/odbc/unittests/cursor5.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: cursor5.c,v 1.9 2008/12/03 12:55:52 freddy77 Exp $";
+static char software_version[] = "$Id: cursor5.c,v 1.10 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static SQLINTEGER v_int_3;
@@ -25,18 +25,18 @@ doFetch(int dir, int pos)
 int
 main(int argc, char **argv)
 {
-	use_odbc_version3 = 1;
-	Connect();
-	CheckCursor();
+	odbc_use_version3 = 1;
+	odbc_connect();
+	odbc_check_cursor();
 
 	CHKSetConnectAttr(SQL_ATTR_AUTOCOMMIT, (SQLPOINTER) SQL_AUTOCOMMIT_ON, SQL_IS_UINTEGER, "S");
 
-	Command("create table #mytab1 (k int, c char(30))");
-	Command("insert into #mytab1 values (1,'aaa')");
-	Command("insert into #mytab1 values (2,'bbb')");
-	Command("insert into #mytab1 values (3,'ccc')");
+	odbc_command("create table #mytab1 (k int, c char(30))");
+	odbc_command("insert into #mytab1 values (1,'aaa')");
+	odbc_command("insert into #mytab1 values (2,'bbb')");
+	odbc_command("insert into #mytab1 values (3,'ccc')");
 
-	ResetStatement();
+	odbc_reset_statement();
 /*	CHKSetStmtAttr(SQL_ATTR_CURSOR_TYPE, (SQLPOINTER) SQL_CURSOR_STATIC, 0, "S");	*/
 	CHKSetStmtAttr(SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_SCROLLABLE, SQL_IS_UINTEGER, "S");
 
@@ -65,6 +65,6 @@ main(int argc, char **argv)
 
 	CHKCloseCursor("SI");
 
-	Disconnect();
+	odbc_disconnect();
 	return 0;
 }
diff --git a/src/odbc/unittests/cursor6.c b/src/odbc/unittests/cursor6.c
index 6a05f29..fba0a4f 100755
--- a/src/odbc/unittests/cursor6.c
+++ b/src/odbc/unittests/cursor6.c
@@ -2,7 +2,7 @@
 
 /* Test SQLFetchScroll with no binded columns */
 
-static char software_version[] = "$Id: cursor6.c,v 1.5 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: cursor6.c,v 1.6 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static int bind_all = 0;
@@ -21,7 +21,7 @@ static void Test(void)
 	SQLUSMALLINT statuses[ROWS];
 	SQLULEN num_row;
 
-	ResetStatement();
+	odbc_reset_statement();
 
 	/* this should not fail or return warnings */
 	if (use_cursors) {
@@ -52,9 +52,9 @@ static void Test(void)
 
 	/* now check row numbers */
 	printf("num_row %d statuses[0] %d statuses[1] %d odbc3 %d\n", (int) num_row,
-		(int) statuses[0], (int) statuses[1], use_odbc_version3);
+		(int) statuses[0], (int) statuses[1], odbc_use_version3);
 
-	if (use_odbc_version3 || !normal_fetch) {
+	if (odbc_use_version3 || !normal_fetch) {
 		if (num_row != ROWS || statuses[0] != SQL_ROW_SUCCESS || statuses[1] != SQL_ROW_SUCCESS) {
 			fprintf(stderr, "result error 1\n");
 			exit(1);
@@ -79,10 +79,10 @@ static void Init(void)
 	int i;
 	char sql[128];
 
-	Command("CREATE TABLE #cursor6_test (i INT, c VARCHAR(20))");
+	odbc_command("CREATE TABLE #cursor6_test (i INT, c VARCHAR(20))");
 	for (i = 1; i <= 10; ++i) {
 		sprintf(sql, "INSERT INTO #cursor6_test(i,c) VALUES(%d, 'a%db%dc%d')", i, i, i, i);
-		Command(sql);
+		odbc_command(sql);
 	}
 
 }
@@ -90,10 +90,10 @@ static void Init(void)
 int
 main(int argc, char *argv[])
 {
-	use_odbc_version3 = 1;
-	Connect();
+	odbc_use_version3 = 1;
+	odbc_connect();
 
-	CheckCursor();
+	odbc_check_cursor();
 
 	Init();
 
@@ -103,11 +103,11 @@ main(int argc, char *argv[])
 			ALL(normal_fetch)
 				Test();
 
-	Disconnect();
+	odbc_disconnect();
 
-	use_odbc_version3 = 0;
+	odbc_use_version3 = 0;
 
-	Connect();
+	odbc_connect();
 	Init();
 
 	ALL(use_cursors)
@@ -115,7 +115,7 @@ main(int argc, char *argv[])
 			ALL(normal_fetch)
 				Test();
 
-	Disconnect();
+	odbc_disconnect();
 	
 	return 0;
 }
diff --git a/src/odbc/unittests/cursor7.c b/src/odbc/unittests/cursor7.c
index 2be1706..e6a3e23 100644
--- a/src/odbc/unittests/cursor7.c
+++ b/src/odbc/unittests/cursor7.c
@@ -2,7 +2,7 @@
 
 /* Test SQLFetchScroll with a non-unitary rowset, using bottom-up direction */
 
-static char software_version[] = "$Id: cursor7.c,v 1.8 2008/12/03 12:55:52 freddy77 Exp $";
+static char software_version[] = "$Id: cursor7.c,v 1.9 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
@@ -21,7 +21,7 @@ Test(void)
 	int i;
 	SQLRETURN RetCode;
 
-	ResetStatement();
+	odbc_reset_statement();
 
 	CHKSetStmtAttr(SQL_ATTR_CONCURRENCY, int2ptr(SQL_CONCUR_READ_ONLY), 0, "S");
 	CHKSetStmtAttr(SQL_ATTR_CURSOR_TYPE, int2ptr(SQL_CURSOR_STATIC), 0, "S");
@@ -71,10 +71,10 @@ Init(void)
 
 	printf("\n\nCreating table #cursor7_test with 12 records.\n");
 
-	Command("\tCREATE TABLE #cursor7_test (i INT, c VARCHAR(20))");
+	odbc_command("\tCREATE TABLE #cursor7_test (i INT, c VARCHAR(20))");
 	for (i = 1; i <= 12; ++i) {
 		sprintf(sql, "\tINSERT INTO #cursor7_test(i,c) VALUES(%d, 'a%db%dc%d')", i, i, i, i);
-		Command(sql);
+		odbc_command(sql);
 	}
 
 }
@@ -82,16 +82,16 @@ Init(void)
 int
 main(int argc, char *argv[])
 {
-	use_odbc_version3 = 1;
-	Connect();
+	odbc_use_version3 = 1;
+	odbc_connect();
 
-	CheckCursor();
+	odbc_check_cursor();
 
 	Init();
 
 	Test();
 
-	Disconnect();
+	odbc_disconnect();
 
 	return 0;
 }
